### Method

# Ggit RevisionWalker set_sort_mode

#### Declaration [src]

    void
    ggit_revision_walker_set_sort_mode (
      GgitRevisionWalker* walker,
      GgitSortMode sort_mode
    )

#### Description [src]

Change the sorting mode when iterating through the repository’s contents.

Changing the sorting mode resets the walker.

#### Parameters

`sort_mode`

  Type: `GgitSortMode`

  A `GgitSortMode` value.